Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Http

Created: 2013-04-11 Assigned To: Bastian Waidelich
Updated: 2013-04-17 Due date:

PHP Version:

Has patch: No

Complexity:

Subject: HTTP method tunneling

Description

Due to limited support in browsers or restrictive firewalls, Flow should allow HTTP request methods to be overridden by the client.
For POST requests the request method is overridden if

- apost argument __method is set OR

- if the header X-HTTP-Method-Override is present OR

- if the header X-HTTP-Method is present
(first rule applies in the order specified)
Example DELETE form:

1<form method="POST">

2 <input type="hidden" name="__method" value="DELETE" />
3</form>

Related issues:
related to TYPOS.Flow - Feature # 37604: Make Flow RestController useless by ... Resolved 2012-05-30
related to TYPOS.Flow - Feature # 47551: Allow usage of links for destructive... Rejected 2013-04-24

Associated revisions

Revision a297b170 - 2013-04-12 18:41 - Bastian Waidelich

[FEATURE] HTTP method tunneling

This change allows the HTTP method to be overridden by the client.
This is especially useful for clients that only support a subset of the

supported methods (e.g. browsers).

The request method can be overridden by specifying a **___method™
argument. Additionally Flow now respects the *“X-HTTP-Method™
respectively " X-HTTP-Method-Override™™ header.

usage::
&lt;form method="POST"&gt;
&lt;input type="hidden" name="__method" value="DELETE" /&gt;
&lt;/form&gt;
Note::

The HTTP request method can only be changed for POST requests

Change-Id: Ibe753ca4bfcc3dc5b579e39fd13af95b79bc183
Resolves: #47137
Releases: master, 2.0

Revision f5b5024b - 2013-04-17 17:07 - Bastian Waidelich
[FEATURE] HTTP method tunneling

This change allows the HTTP method to be overridden by the client.
This is especially useful for clients that only support a subset of the
supported methods (e.g. browsers).

The request method can be overridden by specifying a *___method™
argument. Additionally Flow now respects the "~ X-HTTP-Method™

respectively " X-HTTP-Method-Override™ header.

usage::
&lt;form method="POST"&gt;

&lt;input type="hidden" hame="__method" value="DELETE" /&gt;

&lt;/form&gt;

Note::

The HTTP request method can only be changed for POST requests

Change-Id: Ibe753ca4bfcc3dc5b579e39fd13af95b79bc 183
Resolves: #47137
Releases: master, 2.0

History

#1 - 2013-04-11 19:44 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19800

#2 - 2013-04-12 18:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/19800

#3 - 2013-04-12 18:42 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19800
#4 - 2013-04-17 17:07 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20014

#5 - 2013-04-17 17:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f5b5024bdb618b5b018188ea16bd138490a02b1c.
